Page MenuHomeFreeBSD

devel/jsoncpp: Update to 1.9.2
ClosedPublic

Authored by daniel.engberg.lists_pyret.net on Dec 22 2019, 1:20 PM.

Details

Summary

Update jsoncpp to 1.9.2
Drop scons (deprecated upstream) in favour of meson

Test Plan

Runtime tested on 13-CURRENT (AMD64, r354972) with CMake
Poudriere log attached{F5969461}

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri added a comment.Jan 4 2020, 8:13 PM

Sorry for the delay.

yuri added a comment.Jan 4 2020, 8:22 PM

This port has a lot of big ports depending on it. I will update after all of them are rebuilt. Probably by Monday.

biology/bamtools \
devel/cmake \
devel/cmake-gui \
devel/opendht \
graphics/open3d \
graphics/ossim \
lang/solidity \
math/cadabra2 \
misc/ignition-fuel-tools \
multimedia/libopenshot \
net/libjson-rpc-cpp \
net/flower \
science/py-tensorflow \
www/iridium \
www/chromium \
www/qt5-webengine \
x11/waybar \
x11/polybar

@yuri
Any update on this, did you run into issues with the update?

yuri added a comment.Jan 12 2020, 5:20 PM

Any update on this, did you run into issues with the update?

Yes, this breaks the science/py-tensorflow port:

,nasm,nsync,org_sqlite,pasta,pcre,png_archive,protobuf_archive,six_archive,snappy,swig,termcolor_archive,wrapt,zlib_archive \
  /usr/local/bin/bash -c 'source external/bazel_tools/tools/genrule/genrule-setup.sh; touch bazel-out/freebsd-py2-opt/bin/third_party/py/numpy/tf_numpy_dummy.py')
ERROR: /wrkdirs/usr/ports/science/py-tensorflow/work-py36/bazel_out/c4d2d4417b4eb41713ce6dd52d587dc4/external/jsoncpp_git/BUILD.bazel:20:1: declared output 'external/jsoncpp_git/include/json/autolink.h' is a dangling symbolic link
ERROR: /wrkdirs/usr/ports/science/py-tensorflow/work-py36/bazel_out/c4d2d4417b4eb41713ce6dd52d587dc4/external/jsoncpp_git/BUILD.bazel:20:1: declared output 'external/jsoncpp_git/include/json/config.h' is a dangling symbolic link
yuri added a comment.Jan 13 2020, 1:55 AM

Drop it in science/py-tensorflow/files

Ok, thanks, I will try in overnight.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 13 2020, 9:38 PM
This revision was automatically updated to reflect the committed changes.
yuri added a comment.Jan 13 2020, 9:40 PM

Daniel,

Thank you for your efforts!

Yuri